COMPUTE votf1b = votf1 .
DISCRIMINANT
  /GROUPS=votf1(1 4)
  /VARIABLES=cons age scola reven occup langm sexe 
  /ANALYSIS ALL
  /SAVE=CLASS
  /PRIORS  EQUAL
  /CLASSIFY=NONMISSING POOLED MEANSUB .
IF (votf1b = 95) | missing(votf1b) votf1b = dis_1 .

COMPUTE votp1b = votp1 .
DISCRIMINANT
  /GROUPS=votp1(1 4)
  /VARIABLES=cons age scola reven occup langm sexe 
  /ANALYSIS ALL
  /SAVE=CLASS
  /PRIORS  EQUAL
  /CLASSIFY=NONMISSING POOLED MEANSUB .
IF missing(votp1b) | (votp1b = 95) votp1b = dis_2 .

COMPUTE ref1b = ref1 .
DISCRIMINANT
  /GROUPS=ref1(1 2)
  /VARIABLES=cons age scola reven occup langm sexe 
  /ANALYSIS ALL
  /SAVE=CLASS
  /PRIORS  EQUAL
  /CLASSIFY=NONMISSING POOLED MEANSUB .
IF (ref1b = 8) | missing(ref1b) ref1b = dis_3 .

var lab votf1b "VOTE FDRAL".
val lab votf1b 1 "PLC" 2 "BQ" 3 "PC" 4 "NPD" 5 "AUTRE" 6 "PVC".

var lab votp1b "VOTE PROVINCIAL".
val lab votp1b 1 "PLQ" 2 "PQ" 3 "ADQ" 4 "QS" 5 "PVQ" 6"AUTRE_QC".

var lab ref1b "VOTE RFRENDAIRE.".
val lab ref1b 1 "POUR" 2 "CONTRE".

EXECUTE .

