COMPUTE q5aa = q5a .
DISCRIMINANT
  /GROUPS=q5a(1 3)
  /VARIABLES=q10 qs1 qs2 qs3 qs4 qs5 qs6 
  /ANALYSIS ALL
  /SAVE=CLASS
  /PRIORS  EQUAL
  /CLASSIFY=NONMISSING POOLED MEANSUB .
IF (q5aa = 7) | (q5aa = 8) | (q5aa = 98) | (q5aa = 99) | missing(q5aa) q5aa = dis_1 .

COMPUTE q15a = q15 .
DISCRIMINANT
  /GROUPS=q15(1 3)
  /VARIABLES=q10 qs1 qs2 qs3 qs4 qs5 qs6 
  /ANALYSIS ALL
  /SAVE=CLASS
  /PRIORS  EQUAL
  /CLASSIFY=NONMISSING POOLED MEANSUB .
IF (q15a >= 98) | missing(q15a) | (q15a = 7) | (q15a = 8) q15a = dis_2 .

COMPUTE q13a = q13 .
DISCRIMINANT
  /GROUPS=q13(1 2)
  /VARIABLES=q10 qs1 qs2 qs3 qs4 qs5 qs6 
  /ANALYSIS ALL
  /SAVE=CLASS
  /PRIORS  EQUAL
  /CLASSIFY=NONMISSING POOLED MEANSUB .
IF (q13a >= 8) | missing(q13a) q13a = dis_3 .

var lab q5aa "VOTE FDRAL".
val lab q5aa 1 "PLC" 2 "BQ" 3 "PC" 4 "NPD" 5 "AUTRE" 8 "PVC".

var lab q15a "VOTE PROVINCIAL".
val lab q15a 1 "PLQ" 2 "PQ" 3 "ADQ" 4 "QS" 5 "PVQ" 95 "ABSTENTION_QC" 96 "ANNULE_QC" 97 "AUTRE_QC".

var lab q13a "VOTE RFRENDAIRE.".
val lab q13a 1 "POUR" 2 "CONTRE".

EXECUTE .

