COMPUTE votf1a = votf1 .
DISCRIMINANT
  /GROUPS=votf1(1 3)
  /VARIABLES=cons age scola reven occup langm sexe votp1
  /ANALYSIS ALL
  /SAVE=CLASS
  /PRIORS  EQUAL
  /CLASSIFY=NONMISSING POOLED MEANSUB .
IF (votf1a = 95) | missing(votf1a) votf1a = dis_1 .

COMPUTE votp1a = votp1 .
DISCRIMINANT
  /GROUPS=votp1(1 3)
  /VARIABLES=cons age scola reven occup langm sexe votf1
  /ANALYSIS ALL
  /SAVE=CLASS
  /PRIORS  EQUAL
  /CLASSIFY=NONMISSING POOLED MEANSUB .
IF missing(votp1a) | (votp1a = 95) votp1a = dis_2 .

COMPUTE ref1a = ref1 .
DISCRIMINANT
  /GROUPS=ref1(1 2)
  /VARIABLES=cons age scola reven occup langm sexe votf1 votp1
  /ANALYSIS ALL
  /SAVE=CLASS
  /PRIORS  EQUAL
  /CLASSIFY=NONMISSING POOLED MEANSUB .
IF (ref1a = 8) | missing(ref1a) ref1a = dis_3 .

var lab votf1a "VOTE FDRAL".
val lab votf1a 1 "PLC" 2 "BQ" 3 "PC" 4 "NPD" 5 "AUTRE" 6 "PVC".

var lab votp1a "VOTE PROVINCIAL".
val lab votp1a 1 "PLQ" 2 "PQ" 3 "ADQ" 4 "QS" 5 "PVQ" 6"AUTRE_QC".

var lab ref1a "VOTE RFRENDAIRE.".
val lab ref1a 1 "POUR" 2 "CONTRE".

EXECUTE .

